Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154031 - Should report error and not run if prior cron.daily/monthly/etc is still running.
Summary: Should report error and not run if prior cron.daily/monthly/etc is still runn...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: crontabs
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 17:31 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-14 13:14:30 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2005-04-06 17:31:20 UTC
Description of problem:

We've been running into problems where scripts in cron.daily are hanging.  This
can result cases where you have multiple instances of cron.daily running.  It
would be useful if there was a pidfile and if valid that cron.daily aborted with
an error to alert the administrator.

This possibly could tie into a solution for bug #150228.

Version-Release number of selected component (if applicable):
crontabs-1.10-7

How reproducible:
Fairly

Comment 1 Jason Vas Dias 2005-08-01 20:01:07 UTC
I'm currently working on an enhancement that will provide a per-job cron option
or cron job syntax to run jobs "exclusively" - ie. not to run the next scheduled
instance of a job if the previous instance of the same job is still running.


Comment 2 Matthew Miller 2006-07-10 20:49:13 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Orion Poplawski 2006-07-10 21:03:19 UTC
Jason - I'm starting to see messages like:

/etc/cron.weekly/0anacron:

anacron: Cannot run - another anacron process is already running.: Resource
deadlock avoided

but I've only seen it for anacron.  Is it also in place for the normal crons?


Comment 4 Matthew Miller 2006-07-10 21:04:52 UTC
(Please note that FC4 is entering legacy status in a few weeks.)

Comment 5 Jitka Kozana 2006-08-31 12:43:12 UTC
Please update your system and try with the latest version of crontabs. Let me know, if the 
problem still occurs.
Thanks for cooperation.

Comment 6 Orion Poplawski 2006-08-31 17:30:18 UTC
Um, I don't see any evidence that there has been an update to crontabs.  It
seems like run-parts would need to be updated to use a per directory lock file. 

Comment 7 Marcela Mašláňová 2006-09-20 12:47:35 UTC
Problem from comment#3 are related with anacron. Try to update on anacron-2.3-
40.fc5 and let me know.
Thank you.


Note You need to log in before you can comment on or make changes to this bug.